﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace DataMarkerSample
{
   public class SplineSample : ContentPage
    {
        public static ChartExt chart;
        ObservableCollection<ChartDataPoint> splineSeriesData1, splineSeriesData2;
        SplineSeries splineSeries1, splineSeries2;
        StackLayout layout;
        public SplineSample()
        {
            layout = new StackLayout();
            layout.VerticalOptions = LayoutOptions.FillAndExpand;

            chart = new ChartExt();          
            chart.Title.Text = "Spline Chart";
            chart.PrimaryAxis = new CategoryAxis();
            chart.SecondaryAxis = new NumericalAxis();

            splineSeriesData1 = new ObservableCollection<ChartDataPoint>();
            splineSeriesData2 = new ObservableCollection<ChartDataPoint>();

            splineSeriesData1.Add(new ChartDataPoint(1, 10));
            splineSeriesData1.Add(new ChartDataPoint(2, 20));
            splineSeriesData1.Add(new ChartDataPoint(3, 15));
            splineSeriesData1.Add(new ChartDataPoint(4, 20));
            splineSeriesData1.Add(new ChartDataPoint(5, 30));

            splineSeriesData2.Add(new ChartDataPoint(1, 40));
            splineSeriesData2.Add(new ChartDataPoint(2, 25));
            splineSeriesData2.Add(new ChartDataPoint(3, 30));
            splineSeriesData2.Add(new ChartDataPoint(4, 10));
            splineSeriesData2.Add(new ChartDataPoint(5, 20));
                            
            splineSeries1 = new SplineSeries();
            splineSeries1.ItemsSource = splineSeriesData1;
            splineSeries1.DataMarker = new ChartDataMarker();
            chart.Series.Add(splineSeries1);

            splineSeries2 = new SplineSeries();         
            splineSeries2.ItemsSource = splineSeriesData2;
            splineSeries2.DataMarker = new ChartDataMarker();
            chart.Series.Add(splineSeries2);

            layout.Children.Add(chart);
            Content = chart;
        }
    }

    
}
